-- This script isn't much of a script at all. It just replaces Motorized.onPostLoad with an empty function.
-- All Motorized.onPostLoad does default is handle the automatic refuel, so replacing it with an empty function is the easiest solution.
-- I don't like replacing functions if not neccessary, so I thought about checking fuel-level pre-post-load, and after post-load and resetting to original value.
-- But that would mean that I'd also have to reset the money, and it would mess up the farm stats as well. So overwriting seems the best solution.
-- If this causes any issue with your mod just let me know and I do the other version.

-- by modelleicher
-- www.ls-modcompany.com
-- 02.04.2020

noAutoRefuel = {};

function noAutoRefuel.motorized_postLoad_override(self, superfunc, savegame)
	-- do nothing
end;
Motorized.onPostLoad = Utils.overwrittenFunction(Motorized.onPostLoad, noAutoRefuel.motorized_postLoad_override);




